Skip to main content
PUT
/
social-accounts
/
{account}
/
toggle
curl -X PUT https://app.trypost.it/api/social-accounts/b2c3d4e5-f6a7-8b9c-0d1e-2f3a4b5c6d7e/toggle \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "id": "b2c3d4e5-f6a7-8b9c-0d1e-2f3a4b5c6d7e",
  "platform": "linkedin",
  "display_name": "John Doe",
  "username": "johndoe",
  "is_active": false,
  "status": "connected"
}

Documentation Index

Fetch the complete documentation index at: https://docs.trypost.it/llms.txt

Use this file to discover all available pages before exploring further.

Request

account
string
required
The social account ID.

Response

Returns the updated social account. Same shape as one entry in GET /social-accounts.
curl -X PUT https://app.trypost.it/api/social-accounts/b2c3d4e5-f6a7-8b9c-0d1e-2f3a4b5c6d7e/toggle \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "id": "b2c3d4e5-f6a7-8b9c-0d1e-2f3a4b5c6d7e",
  "platform": "linkedin",
  "display_name": "John Doe",
  "username": "johndoe",
  "is_active": false,
  "status": "connected"
}